Name:          cssparser
Version:       0.9.20
Release:       7%{?dist}
Summary:       CSS Parser
License:       ASL 2.0
URL:           http://cssparser.sourceforge.net/
# sh ./fetch-cssparser.sh <VERSION>
Source0:       cssparser-%{version}.tar.xz
Source1:       fetch-cssparser.sh

BuildArch:     noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: maven-local
BuildRequires: mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin) >= 2.6-3
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.w3c.css:sac) >= 1.3-6
Requires:      java-headless

%description
A CSS parser which implements SAC (the Simple API for CSS).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%pom_remove_plugin :maven-checkstyle-plugin
# unused artefact
%pom_remove_plugin :maven-source-plugin

# SACParserCSS3Test.unicodeInputByteStreamDefaultEncoding:2981
# expected:<...:before { content: "[? - ?]" }> but was:<...:before { content: "[? - ?]" }>
rm src/test/java/com/steadystate/css/parser/SACParserCSS3Test.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc doc/license.html doc/readme.html
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.20-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.20-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 20 2016 gil cattaneo <puntogil@libero.it> 0.9.20-1
- update to 0.9.20

* Sun Aug 28 2016 gil cattaneo <puntogil@libero.it> 0.9.18-3
- javacc 6.x build fix

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 gil cattaneo <puntogil@libero.it> 0.9.18-1
- update to 0.9.18

* Wed Jun 17 2015 Alexander Kurtakov <akurtako@redhat.com> 0.9.15-4
- Fix FTBFS - remove checkstyle plugin.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 19 2015 Alexander Kurtakov <akurtako@redhat.com> 0.9.15-2
- Really update to 0.9.15 - bug in the fetch script.

* Mon May 11 2015 Alexander Kurtakov <akurtako@redhat.com> 0.9.15-1
- Update to upstream 0.9.15 version.

* Fri Feb 13 2015 gil cattaneo <puntogil@libero.it> 0.9.14-3
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 12 2014 Alexander Kurtakov <akurtako@redhat.com> 0.9.14-1
- Update to upstream 0.9.14.

* Fri Feb 21 2014 Alexander Kurtakov <akurtako@redhat.com> 0.9.13-1
- Update to latest upstream release.

* Thu Jan 16 2014 Alexander Kurtakov <akurtako@redhat.com> 0.9.12-1
- Update to latest upstream release.

* Tue Jan 7 2014 Alexander Kurtakov <akurtako@redhat.com> 0.9.11-1
- Update to latest upstream release.

* Mon Sep 30 2013 Alexander Kurtakov <akurtako@redhat.com> 0.9.10-1
- Update to latest upstream release.

* Wed Sep 11 2013 gil cattaneo <puntogil@libero.it> 0.9.9-2
- rebuilt with replacer plugin support
- minor changes to adapt to current guideline

* Wed Sep 11 2013 Alexander Kurtakov <akurtako@redhat.com> 0.9.9-1
- Update to latest upstream release.
- Properly state license as LGPLv2+.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 20 2013 Alexander Kurtakov <akurtako@redhat.com> 0.9.7-1
- Update to new upstream release.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Alexander Kurtakov <akurtako@redhat.com> 0.9.6-1
- Update to latest upstream release.
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-3
- Remove versioned javadoc.

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-2
- Adapt to current guidelines.

* Wed Mar 24 2010 Alexander Kurtakov <akurtako@redhat.com> 0.9.5-1
- Initial package.
